Kate Namespace Reference

## Classes

class | Command
class | CommandExtension
class | Document
class | DocumentExt
class | View

## Functions

KATEPARTINTERFACES_EXPORT Document * | document (KTextEditor::Document *doc)
KATEPARTINTERFACES_EXPORT DocumentExt * | documentExt (KTextEditor::Document *doc)
KATEPARTINTERFACES_EXPORT Document * | createDocument (QObject *parent=0, const char *name=0)
View * | view (KTextEditor::View *view)

## Detailed Description

Kate namespace All classes in this namespace must stay BC during one major release series (e.g.

3.x, 4.x, ...)

## Function Documentation

Document * Kate::createDocument | ( | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Creates a new Kate::Document object.

Definition at line 114 of file interfaces.cpp.

Document * Kate::document | ( | KTextEditor::Document * | doc | ) |

Check if given document is a Kate::Document.

Parameters

  doc | KTextEditor document

Returns
  0 if no success, else the Kate::Document

Definition at line 98 of file interfaces.cpp.

DocumentExt * Kate::documentExt | ( | KTextEditor::Document * | doc | ) |

Check if given document is a Kate::DocumentExt.

Parameters

  doc | KTextEditor document

Returns
  0 if no success, else the Kate::DocumentExt

Definition at line 106 of file interfaces.cpp.

KDE Home | KDE Accessibility Home | Description of Access Keys